## org.eclipse.m2m.atl.profiler.ui.profilingdatatable
Class MemoryComparator

    java.lang.Object
      org.eclipse.jface.viewers.ViewerComparator
          org.eclipse.m2m.atl.profiler.ui.profilingdatatable.MemoryComparator

    public class MemoryComparator

extends org.eclipse.jface.viewers.ViewerComparator

A comparator for memory.

Nested Class Summary
`static class` `MemoryComparator.ColumnType` The columns possible types.

Constructor Summary
`MemoryComparator(MemoryComparator.ColumnType c)` Creates a new memory comparator.
`MemoryComparator(MemoryComparator.ColumnType c, boolean asc)` Creates a new memory comparator.

Method Summary
`int` `compare(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object e1, java.lang.Object e2)`
`MemoryComparator.ColumnType` `getCol()`
`void` `setCol(MemoryComparator.ColumnType col)`

Methods inherited from class org.eclipse.jface.viewers.ViewerComparator
`category, getComparator, isSorterProperty, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryComparator

    public MemoryComparator(MemoryComparator.ColumnType c)

  Creates a new memory comparator.

  Parameters:
    `c` - the column type

### MemoryComparator

    public MemoryComparator(MemoryComparator.ColumnType c,
                            boolean asc)

  Creates a new memory comparator.

  Parameters:
    `c` - the column type
    `asc` - for ascendant or descendant sorting

Method Detail

### compare

    public int compare(org.eclipse.jface.viewers.Viewer viewer,
                       java.lang.Object e1,
                       java.lang.Object e2)

  Overrides:
    `compare` in class `org.eclipse.jface.viewers.ViewerComparator`
  See Also:
    `ViewerComparator.compare(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

### getCol

    public MemoryComparator.ColumnType getCol()

### setCol

    public void setCol(MemoryComparator.ColumnType col)

Copyright 2007 IBM Corporation and others. All Rights Reserved.